Discover website pages for review before ingest
POST
/v1/ai/agents/{agentID}/knowledge/discoverAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonexclude_prefixesstring[] | nullinclude_prefixesstring[] | nullmax_pagesinteger<int64>seed_urlstringrequiredResponses
200OK
default_urlsstring[] | nullrequireddiscoverystringrequiredmax_pagesinteger<int64>requiredpagesKnowledgeDiscoverPage[] | nullrequiredShow propertiesHide properties
Array of
KnowledgeDiscoverPageclassstringrequiredpathstringrequiredselectedbooleanrequiredurlstringrequiredpathsstring[] | nullrequiredrecommended_countinteger<int64>requiredseed_urlstringrequiredtotal_foundinteger<int64>requiredurlsstring[] | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/agents/string/knowledge/discover" \
-H "Content-Type: application/json" \
-d '{
"exclude_prefixes": [
"string"
],
"include_prefixes": [
"string"
],
"max_pages": 0,
"seed_url": "string"
}'const response = await fetch("/v1/ai/agents/string/knowledge/discover", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"exclude_prefixes": [
"string"
],
"include_prefixes": [
"string"
],
"max_pages": 0,
"seed_url": "string"
})
});import requests
response = requests.post(
"/v1/ai/agents/string/knowledge/discover",
headers={
"Content-Type": "application/json"
},
json={
"exclude_prefixes": [
"string"
],
"include_prefixes": [
"string"
],
"max_pages": 0,
"seed_url": "string"
},
)Response
{
"default_urls": [
"string"
],
"discovery": "string",
"max_pages": 0,
"pages": [
{
"class": "string",
"path": "string",
"selected": true,
"url": "string"
}
],
"paths": [
"string"
],
"recommended_count": 0,
"seed_url": "string",
"total_found": 0,
"urls": [
"string"
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}